document.getElementById('pdfFileInput').addEventListener('change', function(event) {
    const file = event.target.files[0];

    if (file) {
        const reader = new FileReader();

        reader.onload = function(e) {
            const pdfData = new Uint8Array(e.target.result);

            const pdfjsLib = window['pdfjs-dist/build/pdf'];

            // PDF.jsのワーカーのパスを指定
            pdfjsLib.GlobalWorkerOptions.workerSrc = 'pdfjs-dist/build/pdf.worker.js';

            pdfjsLib.getDocument({ data: pdfData }).promise.then(function(pdf) {
                const container = document.getElementById('pdfViewer');

                for (let pageNum = 1; pageNum <= pdf.numPages; pageNum++) {
                    pdf.getPage(pageNum).then(function(page) {
                        const scale = 1.5;
                        const viewport = page.getViewport({ scale: scale });

                        const canvas = document.createElement('canvas');
                        const context = canvas.getContext('2d');
                        canvas.height = viewport.height;
                        canvas.width = viewport.width;

                        const renderContext = {
                            canvasContext: context,
                            viewport: viewport
                        };
                        page.render(renderContext);

                        container.appendChild(canvas);
                    });
                }
            });
        };

        reader.readAsArrayBuffer(file);
    }
});
